MKVINFO(1)

NOME
mkvinfo - Stampa informazioni sugli elementi nel file Matroska(TM)

SINOSSI

mkvinfo [opzioni] {file-sorgente}

DESCRIZIONE

Questo programma elenca tutti gli elementi contenuti in a Matroska(TM). L'output può essere limitato a un elenco di tracce nel file che include informazioni sui codec usati.

-a, --all
    Come comportamento predefinito mkvinfo(1) si interrompe quando incontra il primo cluster. Inoltre non mostra gli elementi che incontra spesso. Con questa opzione mkvinfo(1) continuerà il processo indipendentemente dal livello di verbosità e mostrerà tutti gli elementi.

-c, --checksums
    Calcola e visualizza il checksum Adler-32 per ogni frame. Utile solo per il debug.

-o, --continue
    Come comportamento predefinito mkvinfo(1) si interrompe quando incontra il primo cluster. Con questa opzione mkvinfo(1) continuerà il processo indipendentemente dal livello di verbosità.

-p, --hex-positions
    Mostra la posizione di tutti gli elementi in esadecimale indipendentemente dal livello di verbosità.

-P, --positions
    Mostra la posizione di tutti gli elementi in decimale indipendentemente dal livello di verbosità.

-s, --summary
    Visualizza solo un breve riassunto di ciò che mkvinfo(1) trova e non ogni elemento.

-t, --track-info
    Visualizza le statistiche per ogni traccia in modalità dettagliata. Imposta anche la verbosità su 1 se prima era al livello 0.

-x, --hexdump
    Mostra i primi 16 byte di ogni frame come un dump hex.

-X, --full-hexdump
    Visualizza tutti i byte di ogni frame come dump esadecimale.

-z, --size
    Visualizza la dimensione di ogni elemento inclusa la sua intestazione.

--command-line-charset character-set
    Imposta il set caratteri per convertire le stringhe date dalla riga di comando. Di base è impostato dalla lingua di sistema.

--output-charset character-set
    Imposta il set caratteri per le stringhe convertite date in output. Di base è impostato dalla lingua di sistema.

-r, --redirect-output file-name
    Scrive tutti i messaggi nel file nome-file invece che sul terminale. Mentre questo può essere fatto con la redirezione dell'output ci sono casi dove questa opzione può essere necessaria: quando il terminale reinterpreta l'output prima di scriverlo in un file. Il set caratteri impostato con --output-charset viene rispettato.

--ui-language code
    Forza le traduzioni per la lingua code da usare (per esempio: 'it_IT' per le traduzioni in Italiano). Immettendo 'list' come code mostrerà la lista delle traduzioni disponibili.

--abort-on-warnings
    Indica al programma di interrompere dopo il primo avviso. Il codice di uscita del programma sarà 1.

--debug argomento
    Abilita il debug per una funzionalità. Questa opzione è utile per gli sviluppatori.

--engage funzionalità
    Abilita le funzionalità sperimentali. La lista di funzioni disponibili può essere richiamata con mkvinfo --engage list. Queste funzionalità non sono previste per l'utilizzo normale del programma.

--gui-mode
    Mostra la GUI (interfaccia grafica). In questa modalità a terminale ci saranno delle righe specifiche su cosa sta succedendo. Questi messaggi seguiranno il formato '#GUI#messaggio'. Il messaggio può essere seguito da delle coppie chiave/valore come '#GUI#messaggio#chiave1=valore1#chiave2=valore2...'. Né i messaggi e né le chiavi saranno mai tradotte e l'output sarà sempre in Inglese.

-v, --verbose
    Più verbosità. Vedere la sezione riguardo a livelli di verbosità per una descrizione dei livelli.

-h, --help
    Mostra l'aiuto ed esci.

-V, --version
    Mostra la versione ed esci.

@options-file.json
    Legge gli argomenti a riga di comando dal file options-file. Per una spiegazione completa sul formato supportato vedere la sezione "File di Opzioni" nel manuale di mkvmerge(1).

LIVELLO DI VERBOSITà

L'opzione -v può essere utilizzata per aumentare il livello di verbosità di mkvinfo(1), quindi stampare più informazioni riguardo al file corrente.

Al livello 0 mkvinfo(1) mostrerà solamente le intestazioni delle tracce e cercherà il tipo. mkvinfo(1) uscirà quando tutte le intestazioni verranno completamente analizzate (in linguaggio tecnico: non appena il primo cluster viene analizzato). In questo livello le intestazioni di ricerca e i metadati cue non verranno mostrati -- anche se sono posizionati in testa alle informazioni della traccia.

Al livello 1 mkvinfo(1) stamperà tutti gli elementi Matroska(TM) trovati in tutto il file, ma non le intestazioni di ricerca e i metadati cue. Se la modalità riepilogo è abilitata, mkvinfo(1) stamperà anche la posizione del fotogramma.

Lo stesso risultato può essere ottenuto con l'opzione --continue.

Al livello 2 mkvinfo(1) stamperà anche le intestazioni di ricerca, i metadati cue e la posizione del file dove ogni elemento Matroska(TM) può essere trovato.

Lo stesso risultato può essere ottenuto con l'opzione --all-positions.

Al livello 3 ed oltre mkvinfo(1) stamperà alcune informazioni non direttamente relative all'elemento Matroska(TM). Tutti gli altri elementi stamperanno informazioni relative agli elementi che sono stati trovati. Il livello 3 aggiunge altre informazioni per facilitare il debug (leggasi: è inteso solo per gli sviluppatori). Tutte le righe relative al livello 3 sono racchiuse da parentesi quadre per facilitarne il filtraggio.

FILE DI TESTO E CONVERSIONI DELLA CODIFICA CARATTERI

Per una comprensione a fondo di come tutti gli strumenti presenti nella suite di MKVToolNix gestiscono la conversione della codifica caratteri, codifica input/output, codifica a riga di comando e console, vedere la sezione con lo stesso nome nel manuale di mkvmerge(1).

CODICI DUSCITA

mkvinfo(1) esce con uno di tre codici di uscita:

    • 0 -- Questo valore di uscita riporta che il processo è stato completato correttamente.

    • 1 -- In questo caso mkvinfo(1) ha almeno un avviso, ma il processo è continuato. L'avviso è prefissato con la dicitura 'Avviso:'.

    • 2 -- Questo valore di uscita è utilizzato dopo che si è verificato un errore. mkvinfo(1) si interrompe dopo aver segnalato il messaggio di errore. I messaggi d'errore spaziano da un argomento della riga di comando errato a errori di lettura/scrittura a file corrotti.

VARIABILI DAMBIENTE

mkvinfo(1) usa le variabili d'ambiente che determinano la lingua di sistema (per esempio: LANG e la famiglia LC_*). Variabili addizionali sono:

MKVINFO_DEBUG, MKVTOOLNIX_DEBUG e la sua forma contratta MTX_DEBUG
    Il contenuto è elaborato come se fosse stata utilizzata l'opzione --debug.

MKVINFO_ENGAGE, MKVTOOLNIX_ENGAGE e la sua forma contratta MTX_ENGAGE
    Il contenuto è elaborato come se fosse stata utilizzata l'opzione --engage.

VEDI ANCHE

mkvmerge(1), mkvextract(1), mkvpropedit(1), mkvtoolnix-gui(1)

WWW

La versioen aggironata è sempre disponibile nel sito web MKVToolNix[1].

AUTORE

Moritz Bunkus <moritz@bunkus.org>
    Sviluppatore

NOTE

1.  sito web MKVToolNix
    https://mkvtoolnix.download/